## ros-melodic-rosbag-fancy 0.2.0

=== CMakeLists.txt ===

cmake_minimum_required(VERSION 3.0)
project(rosbag_fancy)

find_package(catkin REQUIRED COMPONENTS
	rosbag_storage
	roscpp
	rosfmt
	topic_tools
	tf2_ros
)

catkin_package()

include_directories(${catkin_INCLUDE_DIRS})

find_package(Curses REQUIRED)
include_directories(${CURSES_INCLUDE_DIRS})

set(CMAKE_CXX_STANDARD 14)

add_executable(rosbag_fancy
	src/bag_writer.cpp
	src/main.cpp
	src/message_queue.cpp
	src/terminal.cpp
	src/topic_subscriber.cpp
	src/topic_manager.cpp
	src/ui.cpp
)
target_link_libraries(rosbag_fancy
	${catkin_LIBRARIES}
	${CURSES_LIBRARIES}
)

# Tools
add_executable(tf2_republisher
	tools/tf2_republisher.cpp
)
target_link_libraries(tf2_republisher
	${catkin_LIBRARIES}
)

# Shell helper
# Version 1.7 (increment this comment to trigger a CMake update)
catkin_add_env_hooks(50-rosbag_fancy
	SHELLS bash
	DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks
)

install(TARGETS rosbag_fancy
	RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-melodic-rosbag-fancy (0.2.0-1bionic) bionic; urgency=high

  * bag_writer: fix uninitialized read in run() during shutdown
    This happens in certain cases during shutdown, where msg is not set.
  * bag_writer: make sure we don't overwrite bag files with same stamp
  * ui: move paused/recording indicator to bottom
  * bag_writer: special handling for tf2 static transforms on bag reopen
  * add --paused flag to start in paused mode
  * UI improvements for start/stop
  * start/stop service calls
  * add tf2_republisher tool (helpful for playback)
  * topic_manager: compile fix for clang
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 15 Jun 2020 22:00:00 -0000

ros-melodic-rosbag-fancy (0.1.1-1bionic) bionic; urgency=high

  * Compatibility with ROS Kinetic (PR: #7)
    also helps with Debian Stretch
  * Contributors: Davide Faconti, Max Schwarz

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 21 Oct 2019 22:00:00 -0000

ros-melodic-rosbag-fancy (0.1.0-1bionic) bionic; urgency=high

  * Initial release
  * Contributors: Jan Quenzel, Max Schwarz

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Thu, 17 Oct 2019 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-rosbag-fancy
Section: misc
Priority: optional
Maintainer: Max Schwarz <max.schwarz@uni-bonn.de>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libncurses5-dev, ros-melodic-catkin, ros-melodic-rosbag-storage, ros-melodic-roscpp, ros-melodic-rosfmt, ros-melodic-tf2-ros, ros-melodic-topic-tools
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-rosbag-fancy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libncurses5-dev, ros-melodic-rosbag-storage, ros-melodic-roscpp, ros-melodic-rosfmt, ros-melodic-tf2-ros, ros-melodic-topic-tools
Description: rosbag with terminal UI

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-rosbag-fancy//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
